View Issue Details

IDProjectCategoryView StatusLast Update
0003125Far ManagerHelp/Languagepublic2015-11-30 23:54
ReportervladlozAssigned ToDrKnS 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0003125: Language data is incorrect or damaged
DescriptionI have created the language file for Ukrainian,
but I don't understand where is my errors.
Please help.
TagsNo tags attached.
Build4462

Activities

shmuel

2015-11-27 16:12

developer   bugnote:0014083

В вашем файле 2444 строки, а должно быть 2446 - как во всех остальных языковых файлах.
Под строкой здесь понимается закавыченное выражение, начинающееся с 1-й колонки.

2useven10

2015-11-27 17:29

developer   bugnote:0014084

В вашем переводе отсутствуют средние строки в 2-х местах. (см. ниже)

1)
" Байт: %1, файлов: %2, папок: %3 "
" %1 (%2/%3) %4 %5 "
" %1 байт свободно "

2)
"{}"

"Переменная окружения %COMSPEC% не определена"

"Ошибка открытия файла"

shmuel

2015-11-27 18:16

developer   bugnote:0014085

vladloz, а почему бы вам не предоставить ваш файл для включения в Far Manager?
Если вы это сделаете, сообщите ваше имя для включения в файл CONTRIBUTORS (файл лежит в папке исходников Фара).

2useven10

2015-11-27 18:19

developer   bugnote:0014086

переведена пока только половина файла.

vladloz

2015-11-27 21:09

reporter   bugnote:0014087

Last edited: 2015-11-27 21:15

View 4 revisions

Many thanks! I'll continue translation.
Where must I send my language file after finishing?

shmuel

2015-11-27 21:12

developer   bugnote:0014088

If you attach it here it'd be OK.

DrKnS

2015-11-28 01:44

administrator   bugnote:0014091

vladloz, we would be happy to include your translation.

A few notes, however:
- why do you use ` (U+0060; GRAVE ACCENT) as an apostrophe rather than ' (U+0027; APOSTROPHE) or ’ (U+2019; RIGHT SINGLE QUOTATION MARK)?
- Translating "folder" as "тека" looks ineresting, but to follow the principle of least astonishment, can we please stick to Microsoft terminology? There's a great resource for that: https://www.microsoft.com/Language/en-US/Search.aspx?sString=folder&langID=uk-ua

vladloz

2015-11-30 19:09

reporter   bugnote:0014100

I have finished the translation .lng into Ukrainian.
I propose the full version of FarUkr.lng.

DrKnS, many thanks for your notes!

shmuel, my fullname is Vlad Lozynskyi

vladloz

2015-11-30 19:18

reporter   bugnote:0014101

I can't delete old attached farukr.lng.
Please say me please how can I do it?

shmuel

2015-11-30 19:21

developer   bugnote:0014102

I've deleted it.

vladloz

2015-11-30 19:24

reporter   bugnote:0014103

shmuel, thanks!

shmuel

2015-11-30 19:50

developer   bugnote:0014104

vladloz, I see now 2445 quoted strings in your file. It should be 2446.

Did you use the latest Far build for the translation (I see build 4444 is mentioned in your file).

vladloz

2015-11-30 20:46

reporter   bugnote:0014105

I have prepared FarUkr.lng for latest stable build 4455.
There are 2446 quoted strings in my file.
Please delete my old attached file.

vladloz

2015-11-30 20:47

reporter   bugnote:0014106

And I'll upload new file.

vladloz

2015-11-30 20:49

reporter  

FarUkr.lng (64,408 bytes)

vladloz

2015-11-30 20:51

reporter   bugnote:0014107

I have uploaded new FarUkr.lng file.
Use it!

vladloz

2015-11-30 20:54

reporter   bugnote:0014108

Many thanks for your help in Ukrainian version preparation!

shmuel

2015-11-30 20:58

developer   bugnote:0014109

OK, thank you.

DrKnS

2015-11-30 23:54

administrator   bugnote:0014110

I've corrected some typos, minor logical & style issues and missing translations.

4462.

Thank you.

Issue History

Date Modified Username Field Change
2015-11-27 16:06 vladloz New Issue
2015-11-27 16:06 vladloz File Added: FarUkr.lng
2015-11-27 16:12 shmuel Note Added: 0014083
2015-11-27 17:29 2useven10 Note Added: 0014084
2015-11-27 18:16 shmuel Note Added: 0014085
2015-11-27 18:19 2useven10 Note Added: 0014086
2015-11-27 21:09 vladloz Note Added: 0014087
2015-11-27 21:10 vladloz Note Edited: 0014087 View Revisions
2015-11-27 21:10 vladloz Note Edited: 0014087 View Revisions
2015-11-27 21:12 shmuel Note Added: 0014088
2015-11-27 21:15 vladloz Note Edited: 0014087 View Revisions
2015-11-28 01:44 DrKnS Note Added: 0014091
2015-11-30 19:09 vladloz Note Added: 0014100
2015-11-30 19:18 vladloz Note Added: 0014101
2015-11-30 19:21 shmuel File Deleted: FarUkr.lng
2015-11-30 19:21 shmuel Note Added: 0014102
2015-11-30 19:22 vladloz File Added: FarUkr.lng1
2015-11-30 19:23 vladloz File Added: FarUkr.lng
2015-11-30 19:24 vladloz Note Added: 0014103
2015-11-30 19:43 shmuel File Deleted: FarUkr.lng1
2015-11-30 19:50 shmuel Note Added: 0014104
2015-11-30 20:46 vladloz Note Added: 0014105
2015-11-30 20:47 vladloz Note Added: 0014106
2015-11-30 20:48 shmuel File Deleted: FarUkr.lng
2015-11-30 20:49 vladloz File Added: FarUkr.lng
2015-11-30 20:51 vladloz Note Added: 0014107
2015-11-30 20:54 vladloz Note Added: 0014108
2015-11-30 20:58 shmuel Note Added: 0014109
2015-11-30 23:17 DrKnS Assigned To => DrKnS
2015-11-30 23:17 DrKnS Status new => assigned
2015-11-30 23:54 DrKnS Note Added: 0014110
2015-11-30 23:54 DrKnS Build => 4462
2015-11-30 23:54 DrKnS Status assigned => closed
2015-11-30 23:54 DrKnS Resolution open => fixed
2015-11-30 23:54 DrKnS Fixed in Version => 3.0